- include_role:
    name: prometheus
    tasks_from: dashboards.yaml
  when:
  - do_exporters
  - grafana_public_address | default(False)
  - grafana_public_address != 'not deployed'
- name: Set Ara API Facts
  changed_when: False
  set_fact:
    dash_list: "{{ has_dash | default([]) | unique }}"
    priv_address: "http://{{ ara_name }}.{{ namespace }}.svc.{{ cluster_domain }}:{{
                               '8081' if (do_lemon
                                          or do_ldap)
                                      else '8080' }}"
    pub_address: "https://{{ ara_fqdn }}"
- block:
  - name: Reads Operator Token
    args:
      chdir: /run/secrets/kubernetes.io/serviceaccount
    changed_when: False
    register: api_token
    shell: cat token
  - name: Marks Ara Provisionned
    no_log: True
    uri:
      body: |
        {
          "status": {
            "dashboards": {{ dash_list }},
            "internal": "{{ priv_address }}",
            "public": "{{ pub_address }}",
            "ready": true
          }
        }
      body_format: json
      headers:
        Authorization: "Bearer {{ api_token.stdout_lines[0] }}"
        Content-Type: application/merge-patch+json
      method: PATCH
      return_content: yes
      url: "https://kubernetes.default.svc.{{ cluster_domain }}/apis/{{ cr_apivers }}/namespaces/{{ namespace }}/aras/{{ cr_name }}/status"
      validate_certs: False
  when:
  - ara_crd is defined
  - ara_crd.resources is defined
  - ara_crd.resources | length > 0
  - >
      ara_crd.resources[0].status is not defined
      or (ara_crd.resources[0].status is defined
          and (ara_crd.resources[0].status.ready is not defined
               or ((ara_crd.resources[0].status.dashboards | default([])) | difference(dash_list)) | length > 0
               or (dash_list | difference((ara_crd.resources[0].status.dashboards | default([])))) | length > 0
               or (ara_crd.resources[0].status.internal | default('')) != priv_address
               or (ara_crd.resources[0].status.public | default('')) != pub_address))
